# Results & Live Data Type Reference

{% hint style="info" %}
These types are all related to individual drivers. For the session-level lap counter and fastest lap types, please check the fixture metadata types in [Metadata & Per-Season Data Type Reference](/v3/motorsport-api/welcome/metadata-and-per-season-data-type-reference.md)
{% endhint %}

### Result / lineup detail types

Includes: `results` (basic types) / `lineups.details` (all types)

<table><thead><tr><th width="80.0625">ID</th><th width="149.90625">Name</th><th width="250.11328125">Developer Name / Code</th><th width="299.5625">Description (Practice, Qualification and Sprint Qualification sessions)</th><th width="299.6796875">Description (Races and Sprint Races)</th><th width="100.30078125">Available in results include</th><th width="100.375">Available in lineup details include</th><th width="199.8203125">Available from F1 season</th><th width="200.25">Available from season in F1 v1 (old API)</th></tr></thead><tbody><tr><td>9707</td><td>Points</td><td>POINTS / points</td><td>N/A</td><td>The points received by the driver</td><td>No</td><td>Yes</td><td>All</td><td>Not available</td></tr><tr><td>9708</td><td>Time</td><td>TIME / time</td><td>The fastest lap time</td><td>The latest lap time</td><td>Yes</td><td>Yes</td><td>All</td><td>All</td></tr><tr><td>9709</td><td>Pitstops</td><td>PITSTOPS / pitstops</td><td>The number of pitstops made by the driver</td><td>The number of pitstops made by the driver</td><td>No</td><td>Yes</td><td>All</td><td>All</td></tr><tr><td>9710</td><td>Laps</td><td>LAPS / laps</td><td>The number of laps finished by the driver</td><td>The number of laps finished by the driver</td><td>No</td><td>Yes</td><td>All</td><td>All</td></tr><tr><td>9711</td><td>Position</td><td>POSITION / position</td><td>The position of the driver</td><td>The position of the driver</td><td>Yes</td><td>Yes</td><td>All</td><td>All</td></tr><tr><td>9712</td><td>Grid Position</td><td>GRID_POSITION / grid-position</td><td>N/A</td><td>The grid position where the driver starts</td><td>No</td><td>Yes</td><td>2022</td><td>2022</td></tr><tr><td>9713</td><td>Status</td><td>STATUS / status</td><td>The driver status, like DNS and DNF</td><td>The driver status, like DNS, DNF and DSQ</td><td>No</td><td>Yes</td><td>All</td><td>Only as boolean (retired)</td></tr><tr><td>9716</td><td>Fastest Lap</td><td>FASTEST_LAP / fastest-lap</td><td>The fastest lap time and number</td><td>The fastest lap time and number</td><td>No</td><td>Yes</td><td>2021 (limited), 2023 (full)</td><td>2021 (limited), 2023 (full)</td></tr><tr><td>9729</td><td>Tyre</td><td>TYRE / tyre</td><td>The tyre type and age</td><td>The tyre type and age</td><td>Yes</td><td>Yes</td><td>2023</td><td>Not available (new in v3)</td></tr><tr><td>9732</td><td>Gap To Leader</td><td>GAP_TO_LEADER / gap-to-leader</td><td>The interval between the driver time and leader time</td><td>The interval between the driver time and leader time</td><td>Yes</td><td>Yes</td><td>All</td><td>Not available (new in v3)</td></tr><tr><td>9733</td><td>Interval</td><td>INTERVAL / interval</td><td>The interval between the driver time and higher position driver time</td><td>The interval between the driver time and time of driver in front</td><td>Yes</td><td>Yes</td><td>All</td><td>All</td></tr><tr><td>9738</td><td>In Pit</td><td>IN_PIT / in-pit</td><td>If the driver is currently in the pit</td><td>If the driver is currently in the pit</td><td>No</td><td>Yes</td><td>2025</td><td>Not available (new in v3)</td></tr></tbody></table>

### Lap Details

Include: `details`

<table><thead><tr><th width="79.90625">ID</th><th width="150.125">Name</th><th width="249.64453125">Developer Name / Code</th><th width="300.37890625">Description</th></tr></thead><tbody><tr><td>9718</td><td>Lap Duration</td><td>LAP_DURATION / lap-duration</td><td>The total lap time in seconds</td></tr><tr><td>9719</td><td>Lap Sector One</td><td>LAP_SECTOR_ONE / lap-sector-one</td><td>The first lap sector time in seconds</td></tr><tr><td>9720</td><td>Lap Sector Two</td><td>LAP_SECTOR_TWO / lap-sector-two</td><td>The second lap sector time in seconds</td></tr><tr><td>9721</td><td>Lap Sector Three</td><td>LAP_SECTOR_THREE / lap-sector-three</td><td>The third lap sector time in seconds</td></tr><tr><td>9722</td><td>Lap Timestamp</td><td>LAP_TIMESTAMP / lap-timestamp</td><td>The unix timestamp of the lap start</td></tr><tr><td>9723</td><td>Lap Number</td><td>LAP_NUMBER / lap-number</td><td>The lap number</td></tr></tbody></table>

### Pitstop Details

Include: `details`

<table><thead><tr><th width="79.90625">ID</th><th width="150.125">Name</th><th width="249.64453125">Developer Name / Code</th><th width="300.37890625">Description</th></tr></thead><tbody><tr><td>9727</td><td>Pit Timestamp</td><td>PIT_TIMESTAMP / pit-timestamp</td><td>The unix timestamp when the driver entered the pit lane</td></tr><tr><td>9728</td><td>Pit Duration</td><td>PIT_DURATION / pit-duration</td><td>The time how long the driver was in the pit lane in seconds</td></tr></tbody></table>

### Stint Details

Include: `details`

<table><thead><tr><th width="79.90625">ID</th><th width="150.125">Name</th><th width="249.64453125">Developer Name / Code</th><th width="300.37890625">Description</th></tr></thead><tbody><tr><td>9725</td><td>Stint Lap Info</td><td>STINT_LAP_INFO / stint-lap-info</td><td>The start and end lap numbers of the stint</td></tr><tr><td>9726</td><td>Stint Number</td><td>STINT_NUMBER / stint-number</td><td>The stint number</td></tr></tbody></table>

### Positions

Include: `position` (on drivers) / `lineup.position` (on fixtures)

<table><thead><tr><th width="79.90625">ID</th><th width="150.125">Name</th><th width="249.64453125">Developer Name / Code</th><th width="300.37890625">Description</th></tr></thead><tbody><tr><td>9730</td><td>First Driver</td><td>FIRST_DRIVER / first-driver</td><td>The first driver within the team lineup</td></tr><tr><td>9731</td><td>Second Driver</td><td>SECOND_DRIVER / second-driver</td><td>The second driver within the team lineup</td></tr><tr><td>61150</td><td>Test Driver</td><td>TEST_DRIVER / test-driver</td><td>A test/reserve driver of the team</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/welcome/results-and-live-data-type-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
